
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2509

NA Implement agents

02/24/2017 11:09 AM - Oleksii Kurasov

Status: Closed Start date: 03/01/2017

Priority: Normal Due date: 03/07/2017

Assignee: Oleksii Kurasov % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

1.    Agent is a legal entity

2.    Agent must has registered users

3.    Agent cannot register applications on behalf of himself

4.    Agent can register applications on behalf of applicants that have agent agreement with the agent

5.    An application registered by agent must be accessible by any user of an Applicant and only to the Agent's user, which is

registering the application

Administrator should has ability:

1.    Register an agent

2.    Register an agent user

3.    Register an agent agreement

4.    De register an agent agreement

5.    Edit an agent agreement

Applicant should has ability:

1.    Register an agent agreement

2.    De register an agent agreement

3.    Edit an agent agreement

Agent agreement:

1.    One Agent – One Applicant

2.    List of Agent users to serve this applicant

3.    Valid from

4.    Valid to

5.    Active/Inactive

Subtasks:

Feature # 2516: NA agent agreement verification Closed

Feature # 2517: NA Allow administrator to register agent agreements Closed

Feature # 2518: NA allow agent to register applications on behalf of an applicant Closed

Feature # 2520: NA fine tune agent agreement parties Closed

History

#1 - 03/01/2017 12:12 PM - Oleksii Kurasov

- Due date changed from 02/28/2017 to 03/03/2017

- Status changed from New to In Progress

#2 - 03/02/2017 05:21 AM - Oleksii Kurasov

- Subject changed from NA For administrator develop possibility to register agents to NA Implement agents

#3 - 03/09/2017 03:55 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
